# Class TSparkParameter

java.lang.Object
com.databricks.jdbc.model.client.thrift.generated.TSparkParameter

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TSparkParameter>`, `org.apache.thrift.TBase<TSparkParameter,TSparkParameter._Fields>`, `org.apache.thrift.TSerializable`

@Generated(value="Autogenerated by Thrift Compiler (0.19.0)", date="2025-05-08") public class TSparkParameter extends Object implements org.apache.thrift.TBase<TSparkParameter,TSparkParameter._Fields>, Serializable, Cloneable, Comparable<TSparkParameter>

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`TSparkParameter._Fields`
The set of fields this struct contains, along with convenience methods for finding and manipulating them.

## Field Summary

Fields
Modifier and Type
Field
Description
`List<TSparkParameterValueArg>`
`arguments`
`static final Map<TSparkParameter._Fields,org.apache.thrift.meta_data.FieldMetaData>`
`metaDataMap`
`String`
`name`
`int`
`ordinal`
`String`
`type`
`TSparkParameterValue`
`value`

## Constructor Summary

Constructors
Constructor
Description
`TSparkParameter()`
`TSparkParameter(TSparkParameter other)`
Performs a deep copy on other.

## Method Summary

Modifier and Type
Method
Description
`void`
`addToArguments(TSparkParameterValueArg elem)`
`void`
`clear()`
`int`
`compareTo(TSparkParameter other)`
`TSparkParameter`
`deepCopy()`
`boolean`
`equals(TSparkParameter that)`
`boolean`
`equals(Object that)`
`TSparkParameter._Fields`
`fieldForId(int fieldId)`
`List<TSparkParameterValueArg>`
`getArguments()`
`Iterator<TSparkParameterValueArg>`
`getArgumentsIterator()`
`int`
`getArgumentsSize()`
`Object`
`getFieldValue(TSparkParameter._Fields field)`
`String`
`getName()`
`int`
`getOrdinal()`
`String`
`getType()`
`TSparkParameterValue`
`getValue()`
`int`
`hashCode()`
`boolean`
`isSet(TSparkParameter._Fields field)`
Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean`
`isSetArguments()`
Returns true if field arguments is set (has been assigned a value) and false otherwise
`boolean`
`isSetName()`
Returns true if field name is set (has been assigned a value) and false otherwise
`boolean`
`isSetOrdinal()`
Returns true if field ordinal is set (has been assigned a value) and false otherwise
`boolean`
`isSetType()`
Returns true if field type is set (has been assigned a value) and false otherwise
`boolean`
`isSetValue()`
Returns true if field value is set (has been assigned a value) and false otherwise
`void`
`read(org.apache.thrift.protocol.TProtocol iprot)`
`TSparkParameter`
`setArguments(List<TSparkParameterValueArg> arguments)`
`void`
`setArgumentsIsSet(boolean value)`
`void`
`setFieldValue(TSparkParameter._Fields field, Object value)`
`TSparkParameter`
`setName(String name)`
`void`
`setNameIsSet(boolean value)`
`TSparkParameter`
`setOrdinal(int ordinal)`
`void`
`setOrdinalIsSet(boolean value)`
`TSparkParameter`
`setType(String type)`
`void`
`setTypeIsSet(boolean value)`
`TSparkParameter`
`setValue(TSparkParameterValue value)`
`void`
`setValueIsSet(boolean value)`
`String`
`toString()`
`void`
`unsetArguments()`
`void`
`unsetName()`
`void`
`unsetOrdinal()`
`void`
`unsetType()`
`void`
`unsetValue()`
`void`
`validate()`
`void`
`write(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### ordinal

public int ordinal

### name

public String name

### type

public String type

### value

public TSparkParameterValue value

### arguments

public List<TSparkParameterValueArg> arguments

### metaDataMap

public static final Map<TSparkParameter._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

## Constructor Details

### TSparkParameter

public TSparkParameter()

### TSparkParameter

public TSparkParameter(TSparkParameter other)
Performs a deep copy on other.

## Method Details

### deepCopy

public TSparkParameter deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TSparkParameter,TSparkParameter._Fields>`

### clear

public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TSparkParameter,TSparkParameter._Fields>`

### getOrdinal

public int getOrdinal()

### setOrdinal

public TSparkParameter setOrdinal(int ordinal)

### unsetOrdinal

public void unsetOrdinal()

### isSetOrdinal

public boolean isSetOrdinal()
Returns true if field ordinal is set (has been assigned a value) and false otherwise

### setOrdinalIsSet

public void setOrdinalIsSet(boolean value)

### getName

public String getName()

### setName

public TSparkParameter setName(String name)

### unsetName

public void unsetName()

### isSetName

public boolean isSetName()
Returns true if field name is set (has been assigned a value) and false otherwise

### setNameIsSet

public void setNameIsSet(boolean value)

### getType

public String getType()

### setType

public TSparkParameter setType(String type)

### unsetType

public void unsetType()

### isSetType

public boolean isSetType()
Returns true if field type is set (has been assigned a value) and false otherwise

### setTypeIsSet

public void setTypeIsSet(boolean value)

### getValue

public TSparkParameterValue getValue()

### setValue

public TSparkParameter setValue(TSparkParameterValue value)

### unsetValue

public void unsetValue()

### isSetValue

public boolean isSetValue()
Returns true if field value is set (has been assigned a value) and false otherwise

### setValueIsSet

public void setValueIsSet(boolean value)

### getArgumentsSize

public int getArgumentsSize()

### getArgumentsIterator

public Iterator<TSparkParameterValueArg> getArgumentsIterator()

### addToArguments

public void addToArguments(TSparkParameterValueArg elem)

### getArguments

public List<TSparkParameterValueArg> getArguments()

### setArguments

public TSparkParameter setArguments(List<TSparkParameterValueArg> arguments)

### unsetArguments

public void unsetArguments()

### isSetArguments

public boolean isSetArguments()
Returns true if field arguments is set (has been assigned a value) and false otherwise

### setArgumentsIsSet

public void setArgumentsIsSet(boolean value)

### setFieldValue

public void setFieldValue(TSparkParameter._Fields field, Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TSparkParameter,TSparkParameter._Fields>`

### getFieldValue

public Object getFieldValue(TSparkParameter._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TSparkParameter,TSparkParameter._Fields>`

### isSet

public boolean isSet(TSparkParameter._Fields field)
Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TSparkParameter,TSparkParameter._Fields>`

### equals

public boolean equals(Object that)

Overrides:
  `equals` in class `Object`

### equals

public boolean equals(TSparkParameter that)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### compareTo

public int compareTo(TSparkParameter other)

Specified by:
  `compareTo` in interface `Comparable<TSparkParameter>`

### fieldForId

public TSparkParameter._Fields fieldForId(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TSparkParameter,TSparkParameter._Fields>`

### read

public void read(org.apache.thrift.protocol.TProtocol iprot) throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

### write

public void write(org.apache.thrift.protocol.TProtocol oprot) throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### validate

public void validate() throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`